
public abstract class Class103 {

   String aString1009;
   protected int anInt1010 = -831988383;
   Class47 aClass47_1011;
   static Interface2 anInterface2_1012 = new Class102();
   int anInt1013;
   int anInt1014;
   Class47 aClass47_1015;
   Class100[] aClass100Array1016;
   public static Class64 aClass64_1017;


   public final void method1996(int var1, float var2, float var3, float var4, float var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1919(var1, var2, var3, var4, var5);
   }

   public abstract void method1997();

   public abstract void method1998();

   abstract Class100 method1999(Class545_Sub2 var1, Class84 var2);

   public Class100 method2000(String var1, int var2) throws Exception_Sub3_Sub1 {
      Class100[] var3 = this.aClass100Array1016;

      for(int var4 = 0; var4 < var3.length; ++var4) {
         Class100 var5 = var3[var4];
         String var6 = var5.method1920(-554814324);
         if(null != var6 && var6.equals(var1)) {
            if(!var5.method1921()) {
               throw new Exception_Sub3_Sub1(var1);
            }

            return var5;
         }
      }

      throw new Exception_Sub3_Sub1(var1);
   }

   public final void method2001(int var1, float var2, float var3, float var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1930(var1, var2, var3, var4);
   }

   public final void method2002(Class225_Sub36_Sub1 var1, float var2, float var3, float var4, float var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1927(var1, var2, var3, var4, var5);
   }

   public final int method2003(int var1) {
      return this.aClass100Array1016.length;
   }

   public final Class100 method2004(int var1, int var2) {
      return this.aClass100Array1016[var1];
   }

   public Class100 method2005(String var1) throws Exception_Sub3_Sub1 {
      Class100[] var2 = this.aClass100Array1016;

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Class100 var4 = var2[var3];
         String var5 = var4.method1920(-1469493986);
         if(null != var5 && var5.equals(var1)) {
            if(!var4.method1921()) {
               throw new Exception_Sub3_Sub1(var1);
            }

            return var4;
         }
      }

      throw new Exception_Sub3_Sub1(var1);
   }

   abstract Class100 method2006(Class545_Sub2 var1, Class84 var2);

   public abstract boolean method2007(Class100 var1);

   public int method2008(Class100 var1) {
      for(int var2 = 0; var2 < this.aClass100Array1016.length; ++var2) {
         if(this.aClass100Array1016[var2] == var1) {
            return var2;
         }
      }

      return -1;
   }

   public final int method2009(int var1) {
      return this.anInt1010 * 273906015;
   }

   abstract Class225_Sub36_Sub1 method2010(Class45 var1);

   public final void method2011(Class225_Sub36_Sub1 var1, float var2, int var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1922(var1, var2);
   }

   public final void method2012(int var1, Class317 var2, byte var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1935(var1, var2);
   }

   public final void method2013(Class225_Sub36_Sub1 var1, float var2, float var3, float var4, byte var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2, var3, var4);
   }

   public final void method2014(Class225_Sub36_Sub1 var1, Class326 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2.aFloat4036, var2.aFloat4037, var2.aFloat4033);
   }

   void method2015() {}

   public Class225_Sub36_Sub1 method2016(String var1) throws Exception_Sub3_Sub2 {
      Class225_Sub36_Sub1 var2 = (Class225_Sub36_Sub1)this.aClass47_1011.method1163(var1, -1928596721);
      if(null == var2) {
         throw new Exception_Sub3_Sub2(var1);
      } else {
         return var2;
      }
   }

   public final void method2017(Class225_Sub36_Sub1 var1, float[] var2, int var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1926(var1, var2, var2.length);
   }

   public final void method2018(Class225_Sub36_Sub1 var1, int var2, int var3) {
      float var4 = (float)(var2 >> 16 & 255) / 255.0F;
      float var5 = (float)(var2 >> 8 & 255) / 255.0F;
      float var6 = (float)(var2 & 255) / 255.0F;
      float var7 = (float)(var2 >> 24 & 255) / 255.0F;
      this.method2055(var1, var4, var5, var6, var7, (byte)16);
   }

   public final void method2019(Class225_Sub36_Sub1 var1, Class317 var2, byte var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1964(var1, var2);
   }

   public final void method2020(Class225_Sub36_Sub1 var1, Class317 var2, short var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1934(var1, var2);
   }

   public final void method2021(Class225_Sub36_Sub1 var1, int var2, Interface38 var3, int var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1932(var1, var2, var3);
   }

   public final void method2022(int var1, float var2, float var3, float var4, int var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1930(var1, var2, var3, var4);
   }

   public final void method2023(int var1, float var2, float var3, float var4, float var5, int var6) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1919(var1, var2, var3, var4, var5);
   }

   public final void method2024(int var1, Class326 var2, int var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1930(var1, var2.aFloat4036, var2.aFloat4037, var2.aFloat4033);
   }

   public final void method2025(int var1, float[] var2, int var3, int var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1944(var1, var2, var3);
   }

   public final void method2026(int var1, Class317 var2, int var3) {
      this.aClass100Array1016[273906015 * this.anInt1010].method1933(var1, var2);
   }

   public final void method2027(int var1, Class317 var2, int var3) {
      this.aClass100Array1016[273906015 * this.anInt1010].method1976(var1, var2);
   }

   public final void method2028(Class225_Sub36_Sub1 var1, Class318 var2, short var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1927(var1, var2.aFloat4004, var2.aFloat4002, var2.aFloat4001, var2.aFloat4003);
   }

   public final int method2029() {
      return this.anInt1010 * 273906015;
   }

   public Class225_Sub36_Sub1 method2030(String var1, int var2) throws Exception_Sub3_Sub2 {
      Class225_Sub36_Sub1 var3 = (Class225_Sub36_Sub1)this.aClass47_1011.method1163(var1, -42218789);
      if(null == var3) {
         if(var2 <= -1516609095) {
            ;
         }

         throw new Exception_Sub3_Sub2(var1);
      } else {
         return var3;
      }
   }

   public int method2031(int var1) {
      return this.anInt1014 * 1569643471;
   }

   public Class225_Sub36_Sub1 method2032(int var1, byte var2) {
      return (Class225_Sub36_Sub1)this.aClass47_1015.method1162(var1, '\uff00');
   }

   public final void method2033(Class225_Sub36_Sub1 var1, float var2, float var3, byte var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1967(var1, var2, var3);
   }

   public int method2034(byte var1) {
      return this.anInt1013 * 52487823;
   }

   public final Class100 method2035(int var1) {
      return this.anInt1010 * 273906015 >= 0?this.aClass100Array1016[this.anInt1010 * 273906015]:null;
   }

   public Class100 method2036(byte var1) {
      Class100[] var2 = this.aClass100Array1016;

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Class100 var4 = var2[var3];
         if(var4.method1921()) {
            return var4;
         }
      }

      return null;
   }

   public abstract void method2037();

   public abstract void method2038();

   public abstract boolean method2039();

   public abstract boolean method2040();

   public String method2041() {
      return this.aString1009;
   }

   public String method2042() {
      return this.aString1009;
   }

   abstract Class100 method2043(Class545_Sub2 var1, Class84 var2);

   public final void method2044(int var1, int var2, Interface38 var3, int var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1948(var1, var2, var3);
   }

   void method2045() {}

   public final void method2046(Class225_Sub36_Sub1 var1, Class318 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1927(var1, var2.aFloat4004, var2.aFloat4002, var2.aFloat4001, var2.aFloat4003);
   }

   public final int method2047() {
      return this.aClass100Array1016.length;
   }

   public final int method2048() {
      return this.aClass100Array1016.length;
   }

   public final Class100 method2049(int var1) {
      return this.aClass100Array1016[var1];
   }

   public final Class100 method2050(int var1) {
      return this.aClass100Array1016[var1];
   }

   public int method2051(Class100 var1, int var2) {
      for(int var3 = 0; var3 < this.aClass100Array1016.length; ++var3) {
         if(this.aClass100Array1016[var3] == var1) {
            return var3;
         }
      }

      return -1;
   }

   public Class100 method2052() {
      Class100[] var1 = this.aClass100Array1016;

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class100 var3 = var1[var2];
         if(var3.method1921()) {
            return var3;
         }
      }

      return null;
   }

   public abstract boolean method2053(Class100 var1);

   public abstract boolean method2054(Class100 var1);

   public final void method2055(Class225_Sub36_Sub1 var1, float var2, float var3, float var4, float var5, byte var6) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1927(var1, var2, var3, var4, var5);
   }

   public final Class100 method2056() {
      return this.anInt1010 * 273906015 >= 0?this.aClass100Array1016[this.anInt1010 * 273906015]:null;
   }

   public final Class100 method2057() {
      return this.anInt1010 * 273906015 >= 0?this.aClass100Array1016[this.anInt1010 * 273906015]:null;
   }

   public final Class100 method2058() {
      return this.anInt1010 * 273906015 >= 0?this.aClass100Array1016[this.anInt1010 * 273906015]:null;
   }

   public Class100 method2059(String var1) throws Exception_Sub3_Sub1 {
      Class100[] var2 = this.aClass100Array1016;

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Class100 var4 = var2[var3];
         String var5 = var4.method1920(-989323769);
         if(null != var5 && var5.equals(var1)) {
            if(!var4.method1921()) {
               throw new Exception_Sub3_Sub1(var1);
            }

            return var4;
         }
      }

      throw new Exception_Sub3_Sub1(var1);
   }

   public final int method2060() {
      return this.anInt1010 * 273906015;
   }

   public int method2061() {
      return this.anInt1013 * 52487823;
   }

   public final void method2062(Class225_Sub36_Sub1 var1, float var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1922(var1, var2);
   }

   public final void method2063(Class225_Sub36_Sub1 var1, float var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1922(var1, var2);
   }

   public final void method2064(Class225_Sub36_Sub1 var1, float var2, float var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1967(var1, var2, var3);
   }

   public Class225_Sub36_Sub1 method2065(String var1, byte var2) {
      return (Class225_Sub36_Sub1)this.aClass47_1015.method1163(var1, -2083927782);
   }

   public final void method2066(Class225_Sub36_Sub1 var1, float var2, float var3, float var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2, var3, var4);
   }

   public final void method2067(Class225_Sub36_Sub1 var1, float var2, float var3, float var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2, var3, var4);
   }

   public final void method2068(Class225_Sub36_Sub1 var1, float var2, float var3, float var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2, var3, var4);
   }

   public final void method2069(Class225_Sub36_Sub1 var1, Class317 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1964(var1, var2);
   }

   public Class225_Sub36_Sub1 method2070(int var1) {
      return (Class225_Sub36_Sub1)this.aClass47_1011.method1162(var1, '\uff00');
   }

   public final void method2071(Class225_Sub36_Sub1 var1, float var2, float var3, float var4) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2, var3, var4);
   }

   public final void method2072(Class225_Sub36_Sub1 var1, Class318 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1927(var1, var2.aFloat4004, var2.aFloat4002, var2.aFloat4001, var2.aFloat4003);
   }

   public final void method2073(Class225_Sub36_Sub1 var1, Class317 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1964(var1, var2);
   }

   public final Class100 method2074() {
      return this.anInt1010 * 273906015 >= 0?this.aClass100Array1016[this.anInt1010 * 273906015]:null;
   }

   public final void method2075(Class225_Sub36_Sub1 var1, Class317 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1964(var1, var2);
   }

   public final void method2076(int var1, float var2, float var3, float var4, float var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1919(var1, var2, var3, var4, var5);
   }

   public final void method2077(Class225_Sub36_Sub1 var1, int var2, Interface38 var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1932(var1, var2, var3);
   }

   Class103(Class545_Sub2 var1, Class28 var2) {
      this.aString1009 = var2.aString349;
      this.anInt1013 = var2.aClass45Array348.length * -918062993;
      this.aClass47_1011 = new Class47(52487823 * this.anInt1013, anInterface2_1012);

      int var3;
      for(var3 = 0; var3 < this.anInt1013 * 52487823; ++var3) {
         this.aClass47_1011.method1164(var3, var2.aClass45Array348[var3].aString480, this.method2010(var2.aClass45Array348[var3]), (byte)45);
      }

      this.anInt1014 = var2.aClass45Array345.length * -1180677329;
      this.aClass47_1015 = new Class47(1569643471 * this.anInt1014, anInterface2_1012);

      for(var3 = 0; var3 < this.anInt1014 * 1569643471; ++var3) {
         this.aClass47_1015.method1164(var3, var2.aClass45Array345[var3].aString480, this.method2010(var2.aClass45Array345[var3]), (byte)126);
      }

      this.aClass100Array1016 = new Class100[var2.aClass84Array350.length];

      for(var3 = 0; var3 < var2.aClass84Array350.length; ++var3) {
         this.aClass100Array1016[var3] = this.method2006(var1, var2.aClass84Array350[var3]);
      }

   }

   public final void method2078(int var1, Class326 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1930(var1, var2.aFloat4036, var2.aFloat4037, var2.aFloat4033);
   }

   public final void method2079(int var1, Class317 var2) {
      this.aClass100Array1016[273906015 * this.anInt1010].method1976(var1, var2);
   }

   public final void method2080(int var1, float var2, float var3, float var4, float var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1919(var1, var2, var3, var4, var5);
   }

   public final void method2081(int var1, float var2, float var3, float var4, float var5) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1919(var1, var2, var3, var4, var5);
   }

   public final void method2082(Class225_Sub36_Sub1 var1, Class326 var2, byte var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1924(var1, var2.aFloat4036, var2.aFloat4037, var2.aFloat4033);
   }

   public final void method2083(int var1, float[] var2, int var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1944(var1, var2, var3);
   }

   public final void method2084(int var1, float[] var2, int var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1944(var1, var2, var3);
   }

   public final void method2085(int var1, float[] var2, int var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1944(var1, var2, var3);
   }

   public abstract boolean method2086();

   public final void method2087(int var1, Class317 var2) {
      this.aClass100Array1016[273906015 * this.anInt1010].method1933(var1, var2);
   }

   abstract Class225_Sub36_Sub1 method2088(Class45 var1);

   public final void method2089(int var1, Class317 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1935(var1, var2);
   }

   public final void method2090(int var1, Class317 var2) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1935(var1, var2);
   }

   public final void method2091(int var1, int var2, Interface38 var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1948(var1, var2, var3);
   }

   public Class225_Sub36_Sub1 method2092(int var1, int var2) {
      return (Class225_Sub36_Sub1)this.aClass47_1011.method1162(var1, '\uff00');
   }

   public final void method2093(Class225_Sub36_Sub1 var1, int var2, Interface38 var3) {
      this.aClass100Array1016[this.anInt1010 * 273906015].method1932(var1, var2, var3);
   }

   public int method2094() {
      return this.anInt1014 * 1569643471;
   }

   public Class225_Sub36_Sub1 method2095(String var1) {
      return (Class225_Sub36_Sub1)this.aClass47_1015.method1163(var1, -1937831622);
   }

   public Class225_Sub36_Sub1 method2096(String var1) {
      return (Class225_Sub36_Sub1)this.aClass47_1015.method1163(var1, -870641354);
   }

   public Class225_Sub36_Sub1 method2097(String var1) {
      return (Class225_Sub36_Sub1)this.aClass47_1015.method1163(var1, -1941812724);
   }

   public final void method2098(int var1, Class317 var2) {
      this.aClass100Array1016[273906015 * this.anInt1010].method1933(var1, var2);
   }

   public Class225_Sub36_Sub1 method2099(int var1) {
      return (Class225_Sub36_Sub1)this.aClass47_1011.method1162(var1, '\uff00');
   }

   public Class225_Sub36_Sub1 method2100(int var1) {
      return (Class225_Sub36_Sub1)this.aClass47_1011.method1162(var1, '\uff00');
   }

   public String method2101(int var1) {
      return this.aString1009;
   }

   public Class225_Sub36_Sub1 method2102(String var1) throws Exception_Sub3_Sub2 {
      Class225_Sub36_Sub1 var2 = (Class225_Sub36_Sub1)this.aClass47_1011.method1163(var1, -1178644233);
      if(null == var2) {
         throw new Exception_Sub3_Sub2(var1);
      } else {
         return var2;
      }
   }

   void method2103() {}

   void method2104() {}

   public static Class106 method2105(int var0, int var1) {
      return Class106.aClass106_1036.anInt1037 * 1617121653 == var0?Class106.aClass106_1036:(var0 == Class106.aClass106_1034.anInt1037 * 1617121653?Class106.aClass106_1034:(Class106.aClass106_1035.anInt1037 * 1617121653 == var0?Class106.aClass106_1035:(var0 == Class106.aClass106_1033.anInt1037 * 1617121653?Class106.aClass106_1033:null)));
   }

   static final void method2106(Class508 var0, short var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class251_Sub4.method14388(var2, (byte)-6);
   }

   static final void method2107(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = -1412593595 * Class358.anInt4488;
   }

   static final void method2108(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.aShort7915;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.aShort7916;
   }

   public static void method2109(boolean var0, byte var1) {
      if(var0) {
         if(1231941283 * client.anInt7831 != -1) {
            Class85.method1682(client.anInt7831 * 1231941283, (byte)1);
         }

         for(Class225_Sub4 var2 = (Class225_Sub4)client.aClass423_7832.method7208(-405853513); var2 != null; var2 = (Class225_Sub4)client.aClass423_7832.method7226(2076032365)) {
            if(!var2.method3858(1730077655)) {
               var2 = (Class225_Sub4)client.aClass423_7832.method7208(-405853513);
               if(null == var2) {
                  break;
               }
            }

            Class81.method1662(var2, true, false, 1762927114);
         }

         client.anInt7831 = -462763275;
         client.aClass423_7832 = new Class423(8);
         Class554.method11834((byte)-1);
         client.anInt7831 = -1991339805 * Class304.aClass535_3876.anInt7277;
         Class70_Sub1.method13064(false, -199962889);
         Class225_Sub21_Sub9.method15659(1466392049);
         Class176.method3105(1231941283 * client.anInt7831, (int[])null, 1432041838);
      }

      Class357.method6418(-1842196174);
      Class3.aBool108 = false;
      Class418.method7142(-2024200422);
      client.anInt7823 = 1774448369;
      Class550.method11797(-83917463 * client.anInt7822, 1044377915);
      Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113 = new Class515_Sub1_Sub4_Sub4_Sub1((Class241)null);
      Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.method10939((float)(client.aClass279_7807.method4910(1865599162) * 512 / 2), 0.0F, (float)(client.aClass279_7807.method4911((byte)-47) * 512 / 2));
      Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.anIntArray10770[0] = client.aClass279_7807.method4910(1997354989) / 2;
      Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.anIntArray10779[0] = client.aClass279_7807.method4911((byte)-77) / 2;
      Class4.anInt112 = 0;
      Class90.anInt895 = 0;
      if(-1736568489 * Class225_Sub21_Sub5.anInt10087 == 3) {
         Class90.anInt895 = -1415269723 * (-141439729 * Class337.anInt4355 << 9);
         Class4.anInt112 = (197303087 * Class214.anInt2515 << 9) * -2025085711;
      } else {
         Class422.method7199((byte)1);
      }

      client.aClass279_7807.method4921(-1849292255).method11240((byte)9);
   }
}
